import { getImgURL } from '@/utils/image'
import { Image } from '@tarojs/components'
import './index.scss'

export default function VideoListItem (props) {
  const { Data = {} } = props
  return (
    <view className='components VideoListItem'>
      <view className='Img'>
        <view>
          <Image mode='aspectFill' className='centerLabel' src={getImgURL(Data.images) || null} />
        </view>
      </view>
      <view className='Title'>
        <text>{Data.title}</text>
      </view>
      <view className='Location flex-h'>
        <text className='iconfont icon-dingwei'></text>
        <view className='flex-item'>
          <view>
            <text>{Data.cityName}</text>
          </view>
        </view>
      </view>
    </view>
  )
}
